# glext.c File Reference

OpenGL extension management. More...

`#include "alleggl.h"`
`#include "allglint.h"`
`#include <string.h>`
`#include <GL/glu.h>`
`#include <allegro/internal/aintern.h>`
`#include "allegrogl/GLext/gl_ext_api.h"`
`#include "allegrogl/GLext/gl_ext_list.h"`

Go to the source code of this file.

## Defines

- #define AGL_API(type, name, args) AGL_##name##_t name;
- #define PREFIX_I "agl-ext INFO: "
- #define PREFIX_W "agl-ext WARNING: "
- #define PREFIX_E "agl-ext ERROR: "
- #define aglXGetProcAddress glXGetProcAddress
- #define AGL_API(type, name, args) AGL_##name##_t __agl##name = NULL;
- #define AGL_API(type, name, args) __agl##name = ext->name;
- #define AGL_EXT(name, ver)

## Functions

- AGL_EXT * __allegro_gl_create_extensions ()
- void __allegro_gl_load_extensions (AGL_EXT *ext)
- void __allegro_gl_set_extensions (AGL_EXT *ext)
- void __allegro_gl_destroy_extensions (AGL_EXT *ext)
- int __allegro_gl_look_for_an_extension (AL_CONST char *name, AL_CONST GLubyte *extensions)
- int allegro_gl_is_extension_supported (AL_CONST char *extension)
    This function is an helper to determine whether an OpenGL extension is available or not.
- void * allegro_gl_get_proc_address (AL_CONST char *name)
    Helper to get the address of an OpenGL symbol.
- static void __fill_in_info_struct (const GLubyte *rendereru, struct allegro_gl_info *info)
- void __allegro_gl_manage_extensions (void)
- void __allegro_gl_print_extensions (AL_CONST char *extension)
- void __allegro_gl_unmanage_extensions ()

## Variables

- struct allegro_gl_info allegro_gl_info
- struct AGL_EXTENSION_LIST_GL allegro_gl_extensions_GL
    List of OpenGL extensions supported by AllegroGL.
- AGL_EXT * agl_extension_table = NULL
    List of GLX extensions supported by AllegroGL.

## Detailed Description

OpenGL extension management.

Definition in file glext.c.

## Define Documentation

#define AGL_EXT | ( | name,
|  | ver |  | ) |

Value:

    {                               \
            allegro_gl_extensions_GL.name =                        \
                  allegro_gl_is_extension_supported("GL_" #name)   \
              || (allegro_gl_info.version >= ver && ver > 0);      \
        }